Subject: Re: Bug#629604: linux-image-2.6.38-2-686: sky2 eth0 rx length errors (~5/second)

From: Ben Hutchings <[email-masked]>
Date: Wed, 08 Jun 2011 04:26:15 +0100

On Wed, 2011-06-08 at 11:58 +1000, Kate Gordon wrote:
> Package: linux-2.6
> Version: 2.6.38-5
> Severity: normal
> 
> On my first ethernet connection after an upgrade from squeeze (2.6.35)

The current kernel package version in squeeze is 2.6.32-34squeeze1, but
that does have the sky2 driver from Linux 2.6.35.

> to wheezy (2.6.38), I started 
> seeing the sky2 errors shown below in the kernel log.  So far my
> internet is still working (I detect
> a slight slowness but that's it).  Looks to be the same as Ubuntu bug 
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/719873
> 
> Ethernet controller:
> $lscpi
> <snip>
> Ethernet controller: Marvell Technology Group Ltd. 88E8053 PCI-E Gigabit Ethernet Controller (rev 22)
> </snip>
> 
> I'm on a MacBook Pro 1,1.
> Please let me know if there's any other pertinent info I can give

The driver should log a message of the form
'Yukon-2 <name> chip revision <number>' at startup.  I think we may need
to know the name and number.

> -- Package-specific info:
> ** Version:
> Linux version 2.6.38-2-686 (Debian 2.6.38-5) ([email-masked]) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Sun May 8 14:49:45 UTC 2011
> 
> ** Command line:
> BOOT_IMAGE=/boot/vmlinuz-2.6.38-2-686 root=UUID=7e5efdb0-6919-4e56-a96b-45055f82dcf0 ro
> 
> ** Not tainted
> 
> ** Kernel log:
> [ 3118.574281] sky2 0000:02:00.0: eth0: rx error, status 0x5c2300 length 92
> [ 3121.260783] net_ratelimit: 11 callbacks suppressed
> [ 3121.260795] sky2 0000:02:00.0: eth0: rx error, status 0x5c2300 length 92
> [ 3121.366680] sky2 0000:02:00.0: eth0: rx error, status 0x972300 length 151
> [ 3121.763382] sky2 0000:02:00.0: eth0: rx error, status 0x5c2300 length 92
> [ 3122.014215] sky2 0000:02:00.0: eth0: rx error, status 0xd92300 length 217
[...]

This status value indicates a VLAN-tagged packet, so this is probably
related to changes in VLAN support.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.